public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Mart Raudsepp" <leio@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-misc/tracker/
Date: Wed, 28 Aug 2019 12:52:13 +0000 (UTC)	[thread overview]
Message-ID: <1566996507.d7c9fff65908c39d11c49ade06d5b42b8f8bfd6a.leio@gentoo> (raw)

commit:     d7c9fff65908c39d11c49ade06d5b42b8f8bfd6a
Author:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 28 12:44:52 2019 +0000
Commit:     Mart Raudsepp <leio <AT> gentoo <DOT> org>
CommitDate: Wed Aug 28 12:48:27 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d7c9fff6

app-misc/tracker: bump to 2.2.2

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Mart Raudsepp <leio <AT> gentoo.org>

 app-misc/tracker/Manifest             |  1 +
 app-misc/tracker/tracker-2.2.2.ebuild | 91 +++++++++++++++++++++++++++++++++++
 2 files changed, 92 insertions(+)

diff --git a/app-misc/tracker/Manifest b/app-misc/tracker/Manifest
index fc0292881c9..c7abcb9f105 100644
--- a/app-misc/tracker/Manifest
+++ b/app-misc/tracker/Manifest
@@ -1 +1,2 @@
 DIST tracker-2.1.8.tar.xz 2585924 BLAKE2B 8548f6a615c3357eb2f1a1656d81f50816cef2f59e23fe7bd2111eeade8b3e5c0a33abf1bc830a0baa9c1c1d74ee92d3e44da00cd6f65ab853ef04eb2f57a69e SHA512 447e519699bbb0c9802230629667a87ce39ec3f6bb9c605063319d5e6a019c95a76762fdc889b1a11280be08b8520f22f097f9c9779dcd7a6c7cf239b4da2696
+DIST tracker-2.2.2.tar.xz 2792104 BLAKE2B 654dd5a6e4d8ea8a47d209f747e0dd4e02b7f6c862c4dedd92edf271cf3645b2a7d3f956f6aba5bf104df9972bc287b49a40d77892cb9a65e40c1007f5e3ca6c SHA512 2c18c324d4d98fb62bbf21eac8f647bd34463cee4d9f71d411e22d695fc28cc0c5334e2d41517875a5741213d9405e768f3efae6a8a4a8e72d01563c335f47a7

diff --git a/app-misc/tracker/tracker-2.2.2.ebuild b/app-misc/tracker/tracker-2.2.2.ebuild
new file mode 100644
index 00000000000..70fd7b4efe8
--- /dev/null
+++ b/app-misc/tracker/tracker-2.2.2.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{5,6,7} )
+
+inherit bash-completion-r1 gnome.org linux-info meson python-any-r1 systemd vala xdg
+
+DESCRIPTION="A tagging metadata database, search tool and indexer"
+HOMEPAGE="https://wiki.gnome.org/Projects/Tracker"
+
+LICENSE="GPL-2+ LGPL-2.1+"
+SLOT="0/2.0"
+IUSE="gtk-doc +miners networkmanager stemmer"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+#RESTRICT="!test? ( test )"
+
+PV_SERIES=$(ver_cut 1-2)
+
+# In 2.2.0 util-linux should only be necessary if glib is older than 2.52 at compile-time
+RDEPEND="
+	>=dev-libs/glib-2.46:2
+	>=sys-apps/dbus-1.3.2
+	>=dev-libs/gobject-introspection-1.54:=
+	>=dev-libs/icu-4.8.1.2:=
+	>=dev-libs/json-glib-1.0
+	>=net-libs/libsoup-2.40.1:2.4
+	>=dev-libs/libxml2-2.7
+	>=dev-db/sqlite-3.20.0
+	networkmanager? ( >=net-misc/networkmanager-0.8 )
+	stemmer? ( dev-libs/snowball-stemmer )
+	sys-apps/util-linux
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	dev-util/glib-utils
+	$(vala_depend)
+	gtk-doc? ( >=dev-util/gtk-doc-1.8
+		app-text/docbook-xml-dtd:4.1.2
+		app-text/docbook-xml-dtd:4.5 )
+	>=sys-devel/gettext-0.19.8
+	virtual/pkgconfig
+	${PYTHON_DEPS}
+"
+PDEPEND="miners? ( >=app-misc/tracker-miners-${PV_SERIES} )"
+
+function inotify_enabled() {
+	if linux_config_exists; then
+		if ! linux_chkconfig_present INOTIFY_USER; then
+			ewarn "You should enable the INOTIFY support in your kernel."
+			ewarn "Check the 'Inotify support for userland' under the 'File systems'"
+			ewarn "option. It is marked as CONFIG_INOTIFY_USER in the config"
+			die 'missing CONFIG_INOTIFY'
+		fi
+	else
+		einfo "Could not check for INOTIFY support in your kernel."
+	fi
+}
+
+pkg_setup() {
+	linux-info_pkg_setup
+	inotify_enabled
+
+	python-any-r1_pkg_setup
+}
+
+src_prepare() {
+	xdg_src_prepare
+	vala_src_prepare
+}
+
+src_configure() {
+	local emesonargs=(
+		$(meson_use gtk-doc docs)
+		-Dfts=true
+		-Dfunctional_tests=false # many fail in 2.2; retry with 2.3
+		#$(meson_use test functional_tests)
+		-Dman=true
+		$(meson_feature networkmanager network_manager)
+		$(meson_feature stemmer)
+		-Dunicode_support=icu
+		-Dbash_completion="$(get_bashcompdir)"
+		-Dsystemd_user_services="$(systemd_get_userunitdir)"
+	)
+	meson_src_configure
+}
+
+src_test() {
+	dbus-run-session meson test -C "${BUILD_DIR}" || die 'tests failed'
+}


             reply	other threads:[~2019-08-28 12:52 UTC|newest]

Thread overview: 95+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-08-28 12:52 Mart Raudsepp [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-12 17:41 [gentoo-commits] repo/gentoo:master commit in: app-misc/tracker/ Pacho Ramos
2024-03-02 22:33 Mart Raudsepp
2024-02-18  6:09 Arthur Zamarin
2024-02-18  6:09 Arthur Zamarin
2024-01-08  7:03 Sam James
2023-09-16 19:16 Matt Turner
2023-09-06 14:43 Matt Turner
2023-08-29 23:54 Matt Turner
2023-08-02 16:45 Sam James
2023-08-02 16:45 Sam James
2023-08-02 16:45 Sam James
2023-06-19 15:30 Matt Turner
2023-06-17 17:10 Arthur Zamarin
2023-06-03  5:24 Jakov Smolić
2023-06-03  2:29 Sam James
2023-06-01 13:02 Matt Turner
2023-05-13  0:18 Matt Turner
2023-05-05 17:45 Matt Turner
2023-05-05  6:08 Arthur Zamarin
2023-05-05  6:08 Arthur Zamarin
2023-05-05  6:08 Arthur Zamarin
2023-04-26 16:02 Matt Turner
2023-03-20 14:07 Matt Turner
2023-03-18 17:42 Matt Turner
2022-12-06  1:19 Matt Turner
2022-12-05 17:24 WANG Xuerui
2022-10-29 22:33 Matt Turner
2022-10-29  2:54 Matt Turner
2022-09-24 15:04 Matt Turner
2022-08-10  2:09 Matt Turner
2022-07-07  5:34 Matt Turner
2022-06-01 13:56 Matt Turner
2022-05-20 18:04 Pacho Ramos
2022-03-22  0:24 Matt Turner
2021-11-23  1:25 Yixun Lan
2021-10-04  1:24 Sam James
2021-08-27 20:45 Sam James
2021-06-13  0:16 Matt Turner
2021-04-15 22:42 Matt Turner
2021-04-15  8:02 Sam James
2021-04-15  0:38 Matt Turner
2021-04-13 21:26 Matt Turner
2021-04-13 21:26 Matt Turner
2021-02-17 18:42 Sam James
2021-02-17 14:21 Sam James
2021-02-17 13:54 Sam James
2020-12-19 15:14 Mart Raudsepp
2020-12-19 15:14 Mart Raudsepp
2020-06-07 21:28 Mart Raudsepp
2020-03-22 17:53 Mart Raudsepp
2019-10-27 12:16 Mart Raudsepp
2019-09-26 18:35 Mart Raudsepp
2019-08-28 13:00 Mart Raudsepp
2019-08-02 16:48 Mart Raudsepp
2019-05-23  6:39 Aaron Bauman
2019-04-10 12:20 Mart Raudsepp
2019-04-09 21:09 Mikle Kolyada
2019-04-08  2:18 Thomas Deutschmann
2019-02-16 16:13 Mart Raudsepp
2019-02-15 12:38 Mart Raudsepp
2019-02-13 23:59 Mart Raudsepp
2018-12-08 22:14 Mikle Kolyada
2018-01-27  9:38 Mart Raudsepp
2018-01-18  2:08 Mikle Kolyada
2018-01-09  1:19 Mart Raudsepp
2018-01-09  1:19 Mart Raudsepp
2017-12-14 22:51 Agostino Sarubbo
2017-10-15 23:03 Thomas Deutschmann
2017-09-11 18:39 Mike Gilbert
2017-09-02 10:09 Gilles Dartiguelongue
2017-08-24 15:53 Michał Górny
2017-08-15  9:57 Gilles Dartiguelongue
2017-08-15  9:57 Gilles Dartiguelongue
2017-07-19 11:36 Alexis Ballier
2017-03-28 13:54 Mart Raudsepp
2017-03-23  4:55 Mart Raudsepp
2017-02-15 16:57 Mart Raudsepp
2017-01-21 20:05 Pacho Ramos
2017-01-21 20:05 Pacho Ramos
2017-01-21 20:05 Pacho Ramos
2017-01-15 16:44 Pacho Ramos
2016-12-09 11:39 Pacho Ramos
2016-11-01 23:58 Gilles Dartiguelongue
2016-07-09 11:20 Pacho Ramos
2016-06-24 20:44 Pacho Ramos
2016-06-24 20:44 Pacho Ramos
2016-06-21 19:09 Michał Górny
2016-01-12  8:41 Justin Lecher
2015-12-12 14:29 Pacho Ramos
2015-11-15 14:23 Pacho Ramos
2015-10-11 20:10 Sven Wegener
2015-09-07 16:24 Mikle Kolyada
2015-08-23 17:09 Gilles Dartiguelongue
2015-08-23 17:09 Gilles Dartiguelongue

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1566996507.d7c9fff65908c39d11c49ade06d5b42b8f8bfd6a.leio@gentoo \
    --to=leio@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox